# DataExchange
TKSTEPBase
StepShape

# StepShape_RightCircularCone Class Reference

`#include <StepShape_RightCircularCone.hxx>`

Inheritance diagram for StepShape_RightCircularCone:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_RightCircularCone ()
| Returns a RightCircularCone .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Axis1Placement)&aPosition, const Standard_Real aHeight, const Standard_Real aRadius, const Standard_Real aSemiAngle)
Standard_EXPORT void | SetPosition (const Handle(StepGeom_Axis1Placement)&aPosition)
Standard_EXPORT Handle_StepGeom_Axis1Placement | Position () const
Standard_EXPORT void | SetHeight (const Standard_Real aHeight)
Standard_EXPORT Standard_Real | Height () const
Standard_EXPORT void | SetRadius (const Standard_Real aRadius)
Standard_EXPORT Standard_Real | Radius () const
Standard_EXPORT void | SetSemiAngle (const Standard_Real aSemiAngle)
Standard_EXPORT Standard_Real | SemiAngle () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Axis1Placement | position
Standard_Real | height
Standard_Real | radius
Standard_Real | semiAngle

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_RightCircularCone::StepShape_RightCircularCone | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_RightCircularCone::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_GeometricRepresentationItem.

Standard_EXPORT Standard_Real StepShape_RightCircularCone::Height | ( |  | ) | const

virtual Standard_EXPORT void StepShape_RightCircularCone::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Axis1Placement)& | aPosition,
|  | const Standard_Real | aHeight,
|  | const Standard_Real | aRadius,
|  | const Standard_Real | aSemiAngle
| ) | `[virtual]`

virtual Standard_EXPORT void StepShape_RightCircularCone::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_Axis1Placement StepShape_RightCircularCone::Position | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_RightCircularCone::Radius | ( |  | ) | const

Standard_EXPORT Standard_Real StepShape_RightCircularCone::SemiAngle | ( |  | ) | const

Standard_EXPORT void StepShape_RightCircularCone::SetHeight | ( | const Standard_Real | aHeight | ) |

Standard_EXPORT void StepShape_RightCircularCone::SetPosition | ( | const Handle(StepGeom_Axis1Placement)& | aPosition | ) |

Standard_EXPORT void StepShape_RightCircularCone::SetRadius | ( | const Standard_Real | aRadius | ) |

Standard_EXPORT void StepShape_RightCircularCone::SetSemiAngle | ( | const Standard_Real | aSemiAngle | ) |

## Field Documentation

Standard_Real StepShape_RightCircularCone::height`[private]`

Handle_StepGeom_Axis1Placement StepShape_RightCircularCone::position`[private]`

Standard_Real StepShape_RightCircularCone::radius`[private]`

Standard_Real StepShape_RightCircularCone::semiAngle`[private]`

The documentation for this class was generated from the following file:

- StepShape_RightCircularCone.hxx